# Class Match2Mapping

java.lang.Object
uk.ac.starlink.ttools.join.Match2Mapping

All Implemented Interfaces:
  `TableMapping`

Direct Known Subclasses:
  `SkyMatch2Mapping`

public class Match2Mapping extends Object implements TableMapping
TableMapping implementation which does the work of matching two tables.

Since:
  2 Nov 2007
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`protected uk.ac.starlink.table.StarTable`
`makeSubTable(uk.ac.starlink.table.StarTable inTable, String[] exprTuple)`
Creates a table containing the values which are required by the matcher.
`uk.ac.starlink.table.StarTable`
`mapTables(InputTableSpec[] inSpecs)`
Perform table mapping.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### mapTables

public uk.ac.starlink.table.StarTable mapTables(InputTableSpec[] inSpecs) throws IOException, uk.ac.starlink.task.TaskException
Description copied from interface: `TableMapping`
Perform table mapping.

Specified by:
  `mapTables` in interface `TableMapping`
Parameters:
  `inSpecs` - input tables
Returns:
  result of processing input tables
Throws:
  `IOException`
  `uk.ac.starlink.task.TaskException`

### makeSubTable

protected uk.ac.starlink.table.StarTable makeSubTable(uk.ac.starlink.table.StarTable inTable, String[] exprTuple) throws uk.ac.starlink.task.ExecutionException
Creates a table containing the values which are required by the matcher. This typically consists of a few of the columns from the input table, but in general may come from any JEL expression based on them. Because JEL compilation is performed here, an exception (rethrown as an ExecutionException) may occur.

Parameters:
  `inTable` - input table
  `exprTuple` - array of JEL expressions giving the values of the tuple elements required for the matcher
Returns:
  table containing only a column for each tuple element required for the matcher
Throws:
  `uk.ac.starlink.task.ExecutionException` - if a compilation error occurs